Subject: Re: Reminder: removal of APUS and Gemini still pending

From: Christoph Hellwig <[email-masked]>
Date: Mon, 19 Sep 2005 11:10:46 +0200

On Mon, Sep 19, 2005 at 08:01:44AM +1000, Paul Mackerras wrote:
> That sounds like a mistake to me...
> 
> > get proper changesets with attribution instead of a big patch (the plan 
> > is to forward-merge the changes until after the transition, then turn 
> > them back into a diff and apply them step by step).
> 
> One of the things I particularly want to do is to remove the special
> cases in the virtual<->physical address translations for APUS.
> Perhaps the sparsemem or discontigmem code could be used instead?

The apus codedrop Sven put into the Debian Kernel SVN repo has this
removed, see:

http://svn.debian.org/wsvn/kernel/dists/trunk/linux-2.6/debian/patches-debian/powerpc-apus.patch?op=file&rev=0&sc=0

even if apus folks don't want to merge now all the core touching parts
of that patch should go in as they clanup the ifdef APUS mess quite a
lot.